PDA

View Full Version : Eclipse Plugins for Ext js4



AtulDawkhare
19 Aug 2011, 3:08 AM
Can anybody please provide me Correct url for downloading Eclipse plugins for Ext js 4

aacoro
19 Aug 2011, 7:00 AM
Is there a goodEclipse plugin?? I'm interested as well :D

bkrech
22 Aug 2011, 11:28 PM
Hello,

Am using Spket IDE. Have
a) created necessary ExtJS profile
b) downloaded/extracted ExtJS4.0.2a into folder --> ../ext/402a
c) install eclipse plugin from http://www.spket.com/update
d) downloaded http://www.agpad.com/downloads/ext-4.0.2a.jsb2 into
e) extjs root
f) extjs build folder

When I add the jsb2 file, i only see [Ext.All]. Nothing else appears. Code assist doesnt work. Works with ExtJS 3. Would appreciate any pointers on what i need to be doing.

Regards

burnnat
23 Aug 2011, 5:26 AM
@bkrech

For Spket to work with ExtJS 4, you also need to replace one of the jar files with an updated version located here:

http://www.agpad.com/downloads/com.spket.js_1.6.18.jar

You can read more about getting Spket to work with ExtJS 4 in this thread (http://forums.spket.com/viewtopic.php?f=6&t=1866) from the Spket forums.

rdahiya
8 Dec 2011, 1:05 PM
I'm trying to setup spket for ext js 4 development and having the same issues.

The .jsb2 file mentioned in the last comment has these lines of code:
"projectName": "Ext JS",
"deployDir": "ext-4",
"pkgs": [{
"name": "Ext All",
"file": "pkgs/all.js",
"fileIncludes":

Q: ext js 4 does not have pkgs/all.js. Should a different file be referenced here?

burnnat
8 Dec 2011, 1:09 PM
Theoretically, the most recent version of Spket should be able to handle the jsb3 that comes with ExtJS without any modifications at all (though this wasn't the case before!). See this page (http://www.spket.com/extjs.html) on setting up a profile for ExtJS 4 - it says you should be able to use build/sdk.jsb3 right out of the box. I can't confirm this though, as I haven't updated to the most recent version yet.

rdahiya
8 Dec 2011, 1:25 PM
thank you, the sdk.jsb3 file worked out of the box! :)

burnnat
8 Dec 2011, 1:26 PM
Glad to hear it! I guess I'll have to update my version of Spket then. :D